%define		module		ruamel.yaml.clib
Summary:	C version of reader, parser and emitter for ruamel.yaml
Summary(pl.UTF-8):	Wersja C biblioteki do odczytu, analizy i tworzenia YAML-a dla ruamel.yaml
Name:		python3-%{module}
Version:	0.2.12
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/ruamel.yaml.clib/
Source0:	https://files.pythonhosted.org/packages/source/r/ruamel.yaml.clib/%{module}-%{version}.tar.gz
# Source0-md5:	53fa5737bbe5a07fac7db3d1a083fee9
URL:		https://pypi.org/project/ruamel.yaml.clib/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	python3-modules >= 1:3.9
BuildRequires:	python3-setuptools >= 1:28.7.0
Requires:	python3-modules >= 1:3.9
# for dir
Requires:	python3-ruamel.base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C version of reader, parser and emitter for ruamel.yaml derived from
libyaml.

%description -l pl.UTF-8
Wersja C biblioteki do odczytu, analizy i tworzenia YAML-a dla
ruamel.yaml, wywodząca się z libyaml.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%attr(755,root,root) %{py3_sitedir}/_ruamel_yaml.cpython-*.so
%dir %{py3_sitedir}/ruamel/yaml
%{py3_sitedir}/ruamel/yaml/clib
%{py3_sitedir}/ruamel.yaml.clib-%{version}-py*.egg-info
%changelog
* Tue Jun 03 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-ruamel.yaml.clib.git;a=log;h=master

* Tue Jun 03 2025 Jan Rękorajski <baggins@pld-linux.org> 3f92b41
- up to 0.2.12

* Wed Apr 06 2022 Jan Rękorajski <baggins@pld-linux.org> c383e13
- this version does now build on python 3 anymore, rel 8

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 4b276b3
- rebuild with python 3.10

* Thu Dec 16 2021 Jakub Bogusz <qboosh@pld-linux.org> e82ba4c
- setuptools epoch

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 257c987
- rebuild with separate debuginfo build-ids

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> 2f9733a
- release 5 (by relup.sh)

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> d45f5af
- release 4 (by relup.sh)

* Sat Jun 27 2020 Jakub Bogusz <qboosh@pld-linux.org> 1f6eff4
- cleanup, pl
- own arch-specific ruamel/yaml dir (ruamel.yaml requires this package, not the opposite)
- release 3

* Sat Feb 01 2020 Jan Palus <atler@pld-linux.org> 3d2deb1
- not noarch; rel 2

* Sat Feb 01 2020 Jan Palus <atler@pld-linux.org> c8db356
- new (version 0.2.0)

